import {transaction, dict} from '@/api'
import request from '@/utils/require'

// 列表页
export function list(data) {
    return request({
      url: `${transaction}/entryandexitorder/select?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data
    })
}
// insert
export function insert(data) {
    return request({
      url: `${transaction}/entryandexitorder/insert`,
      method: 'post',
      data: data
    })
}
// update
export function update(data) {
    return request({
      url: `${transaction}/entryandexitorder/update`,
      method: 'post',
      data: data
    })
}
// detail
export function detail(id) {
    return request({
      url: `${transaction}/entryandexitorder/get/${id}`,
      method: 'get',
    })
}
//
export function del(id) {
    return request({
      url: `${transaction}/entryandexitorder/del/${id}`,
      method: 'delete',
    })
}

//字典查品种
export function varietys(pdictCode) {
    return request({
        url:`${dict}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=11`,

        method: 'get'
    })
}
